<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Ajax extends Core_Controller 
{

	function __construct()
	{
		parent::__construct();
	}

	//Create new url
	function new_url()
	{	
		if(!$_POST) show_404('page');
		
		$url = urldecode($_POST['url']);
		$custom = $_POST['custom'];
		
		//Check to see if a custom URL key is availabe
		if(!empty($custom))
		{
			if(!$this->urli->link_available($custom))
			{
				die('taken');
			}
		}
		//Create the link
		if($data = $this->urli->add_url($url,$custom))
		{
			//Add the link to the recent links in the session
			$this->urli->add_recent_link($data->id);
			echo json_encode($data);
		}
		else
		{
			die('error');
		}
	}
	//Clear the recents from a users session
	function clear_recent()
	{
		$this->session->unset_userdata('recent_links');
	}
	//Get a certain number of recent links
	function get_links()
	{
		if(!$_POST) show_404('page');
		
		//Get the amount to show
		$amount = substr($_POST['amount'], 5);
		
		//Get the result from the DB
		$this->load->model('url_model', 'url');
		if($links = $this->url->get_links($amount))
		{
			//Setup the return html
			foreach($links as $l)
			{
				$return .= "<li><a href=\"$l->original_link\" target=\"_blank\">$l->link_title</a><br /><span> Clicks: $l->clicks IP: $l->user_ip Link: ".base_url()."$l->short_key</span></li>\n";
			}
			echo $return;
		}
		else
		{
			die('error');
		}	
	}
	//Check for updates
	function check_for_updates()
	{
		if($data = $this->urli->check_for_updates())
		{
			$data->status = 'new';
			echo json_encode($data);
		}
		else
		{
			$return->status = 'none';
			echo json_encode($return);
		}
	}
}

?>