CREATE TABLE `#PREFIX#stats` (
  `stat_id` int(11) NOT NULL auto_increment,
  `stat_nice_name` varchar(200) NOT NULL,
  `stat_name` varchar(200) NOT NULL,
  `stat_value` int(11) NOT NULL,
  PRIMARY KEY  (`stat_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--:)

CREATE TABLE `#PREFIX#urls` (
  `id` int(11) NOT NULL auto_increment,
  `original_url` varchar(255) NOT NULL,
  `short_key` varchar(32) NOT NULL,
  `short_key_hash` varchar(32) NOT NULL,
  `created` varchar(10) NOT NULL,
  `user_ip` varchar(15) NOT NULL,
  `clicks` int(11) NOT NULL,
  `link_title` varchar(255) NOT NULL,
  `custom` enum('0','1') NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

--:)

CREATE TABLE `#PREFIX#users` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(150) NOT NULL,
  `password` varchar(32) NOT NULL,
  `date_created` varchar(10) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;
