<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

class Auth 
{

	function __construct()
	{	
		// This makes all CI stuff available
		// under ->ci through out the class
		// eg. ->ci->load->model(...
		$this->CI =& get_instance();
	}

    function try_login($email,$password,$select = 'id,email')
	{
		$password = md5($password);
		$this->CI->db->select($select);
		$q = $this->CI->db->get_where('users', array('email' => $email, 'password' => $password), 1, 0);
		
		if($q->num_rows() == 1)
		{
			$row = $q->row();
			//Login the user
			$this->CI->session->set_userdata(array(
													'user_id' => $row->id, 
													'email' => $row->email,
													'logged_in' => TRUE
												   )
											);
			//return the user info
			return $row;
		} 
		return FALSE;
	}
	//Reset a users password
	function reset_password($email)
	{
		//Generate a random password
		$possible = 'ABCDEFGHJKLMNPQRSTUVWXYZ123456789abcdefghjklmopqrstuvwqyz';
		
		while($i <= 6)
		{
			//Pick a random character
			$char = substr($possible, mt_rand(0, strlen($possible)-1), 1);
			
			$new .= $char;
			$i++;
		}
		//Update the user
		$this->CI->db->set('password', md5($new));
		$this->CI->db->where('email', $email);
		$this->CI->db->update('users');
		
		return $new;
	}
	//Log a user out
	function logout($location = '') 
	{
        $this->CI->session->set_userdata(array('logged_in' => FALSE,'email' => '','user_id' => ''));
		$this->CI->session->sess_destroy();
        header('Location: '.base_url().$location); exit;
    }
	//Check to see if a user exists via email
	function user_exists($email)
	{
		$this->CI->db->select('id');
		$q = $this->CI->db->get_where('users', array('email' => $email), 1, 0);
		
		if($q->num_rows() == 1) return TRUE;
		return FALSE;
	}
	//Checks to see if a user is logged in
	function logged_in()
	{
		if($this->CI->session->userdata('logged_in')) return TRUE;
		return FALSE;
	}

}

?>