<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<head>
	<meta http-equiv="content-type" content="text/html;charset=utf-8" />
	<meta http-equiv="Content-Style-Type" content="text/css" />
	<title><?php echo $page_title?></title>
	<link rel="stylesheet" href="<?php echo site_url('/css/style.css')?>" type="text/css" media="all" />
	<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js" type="text/javascript"></script>
	<?php
	if($this->config->item('enable_ajax')):
	?>
	
	<script src="<?php echo site_url('js/main.js')?>" type="text/javascript"></script>
	
	<script type="text/javascript" charset="utf-8">
		var site_url = '<?php echo base_url()?>';
		var site_title = '<?php echo $site_title?>';
	</script>
	<?php else:?>
	
	<script type="text/javascript" charset="utf-8">
		$(document).ready(function(){
			$('#new_url').select();
			$('#new_url').click(function(){ this.select();});
			$('#custom_link').click(function (){
				$('#custom_input').slideDown();
				return false;
			});
		});
	</script>
	<?php endif;?>
	
	<?php
	if($base_color = $this->config->item('base_color')):
	?>
	
	<style type="text/css" media="screen">
		#header {
			background: #<?php echo $base_color?>;
		}
		a:hover, #recent_links li a, #nav li .selected, #footer a:hover {
			color: #<?php echo $base_color?>;
		}
		input:focus {
			border: 1px solid #<?php echo $base_color?>;
		}
	</style>
	<?php endif;?>

</head>

<body>
<div id="main_container">
	<div id="header">
		<a href="<?php echo base_url()?>"><?php echo $site_title?></a>
		
	</div><!-- End Header -->
	
